package com.gingersoft.gsa.cloud.common.core.user.state;


import com.gingersoft.gsa.cloud.common.core.user.UserContext;

/**
 * @author : bin
 * @create date: 2020-11-21
 * @update date: 2020-11-21
 * @description:已登錄狀態
 */
public class LoginedState implements UserState{


    @Override
    public void logined() {
    }

    @Override
    public void logOut() {
        //設置用戶狀態為登出狀態
        UserContext.newInstance().setState(new LogoutState());
        UserContext.newInstance().logOut();
    }

}
